Lists webhook subscriptions for a brand.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/webhookSubscriptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent brand, which owns this collection of webhook subscriptions. Format: projects/{project}/locations/{location}/brands/{brand} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of webhook subscriptions to return. The service may return fewer than this value. If unspecified, at most 50 webhook subscriptions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListWebhookSubscriptions.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"webhookSubscriptions": [
{
object ( |
| Fields | |
|---|---|
webhookSubscriptions[] |
The webhook subscriptions from the specified collection. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.